package com.mints.goodmoney.mvp.model;

import java.io.Serializable;

public class MyInfo implements Serializable {

    /**
     * taskVeido : {"max":20,"carrierType":"CHALLENGE_VEDIO","complete":0}
     * taskShareFriend : {"max":20,"carrierType":"CHALLENGE_SHAREFRIEND","complete":0}
     * userMsg : {"head":"","realName":null,"surplus":0,"idcode":"20000003","nickName":"","coin":50}
     */

    private TaskVeidoBean taskVeido;
    private TaskGameBean taskGame;
    private TaskShareFriendBean taskShareFriend;
    private UserMsgBean userMsg;

    public TaskVeidoBean getTaskVeido() {
        return taskVeido;
    }

    public TaskGameBean getTaskGame() {
        return taskGame;
    }

    public void setTaskVeido(TaskVeidoBean taskVeido) {
        this.taskVeido = taskVeido;
    }

    public TaskShareFriendBean getTaskShareFriend() {
        return taskShareFriend;
    }

    public void setTaskShareFriend(TaskShareFriendBean taskShareFriend) {
        this.taskShareFriend = taskShareFriend;
    }

    public UserMsgBean getUserMsg() {
        return userMsg;
    }

    public void setUserMsg(UserMsgBean userMsg) {
        this.userMsg = userMsg;
    }

    public class TaskVeidoBean implements Serializable{
        /**
         * max : 20
         * carrierType : CHALLENGE_VEDIO
         * complete : 0
         */

        private int coin;
        private int max;
        private String carrierType;
        private int complete;

        public int getCoin() {
            return coin;
        }

        public void setCoin(int coin) {
            this.coin = coin;
        }

        public int getMax() {
            return max;
        }

        public void setMax(int max) {
            this.max = max;
        }

        public String getCarrierType() {
            return carrierType;
        }

        public void setCarrierType(String carrierType) {
            this.carrierType = carrierType;
        }

        public int getComplete() {
            return complete;
        }

        public void setComplete(int complete) {
            this.complete = complete;
        }
    }

    public class TaskGameBean implements Serializable{
        private int status;
        private String carrierType;
        private int coin;

        public int getStatus() {
            return status;
        }

        public String getCarrierType() {
            return carrierType;
        }

        public int getCoin() {
            return coin;
        }
    }

    public class TaskShareFriendBean implements Serializable{
        /**
         * max : 20
         * carrierType : CHALLENGE_SHAREFRIEND
         * complete : 0
         */

        private int coin;
        private int max;
        private String carrierType;
        private int complete;
        private int status;

        public int getCoin() {
            return coin;
        }

        public void setCoin(int coin) {
            this.coin = coin;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public int getMax() {
            return max;
        }

        public void setMax(int max) {
            this.max = max;
        }

        public String getCarrierType() {
            return carrierType;
        }

        public void setCarrierType(String carrierType) {
            this.carrierType = carrierType;
        }

        public int getComplete() {
            return complete;
        }

        public void setComplete(int complete) {
            this.complete = complete;
        }
    }

    public class UserMsgBean implements Serializable{
        /**
         * head :
         * realName : null
         * surplus : 0
         * idcode : 20000003
         * nickName :
         * coin : 50
         */

        private String head;
        private Object realName;
        private int surplus;
        private String idcode;
        private String nickName;
        private int coin;

        public String getHead() {
            return head;
        }

        public void setHead(String head) {
            this.head = head;
        }

        public Object getRealName() {
            return realName;
        }

        public void setRealName(Object realName) {
            this.realName = realName;
        }

        public int getSurplus() {
            return surplus;
        }

        public void setSurplus(int surplus) {
            this.surplus = surplus;
        }

        public String getIdcode() {
            return idcode;
        }

        public void setIdcode(String idcode) {
            this.idcode = idcode;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public int getCoin() {
            return coin;
        }

        public void setCoin(int coin) {
            this.coin = coin;
        }
    }
}
